# Filter (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain.query.filters

## Class Filter<T>

- java.lang.Object
- - io.dapr.client.domain.query.filters.Filter<T>

Direct Known Subclasses:
  `AndFilter`, `EqFilter`, `InFilter`, `OrFilter`

    public abstract class Filter<T>
    extends Object

### Constructor Summary

Constructors
`Filter​(String name)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getName()`
`abstract String` `getRepresentation()`
`abstract Boolean` `isValid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Filter

    public Filter​(String name)

### Method Detail

#### getName

    public String getName()

#### getRepresentation

    public abstract String getRepresentation()

#### isValid

    public abstract Boolean isValid()